Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/30223/?format=api
{ "ob_id": 30223, "uuid": "ede22b4d8b1649999965301cc5f733f0", "title": "APHH: Volatile organic compound (VOC) measurements made at the Indira Gandhi Delhi Technical University for Women (IGDTUW) field site during the DelhiFlux field campaigns", "abstract": "This dataset contains volatile organic compound concentration measurements made by the University of Lancaster using the UK CEH proton transfer reaction-quadrupole ion guide time of flight-mass spectrometer (PTR-QiTOF-MS). Measurements were made at the Indira Gandhi Delhi Technical University for Women (IGDTUW) field site, Dehli, India during the DelhiFlux campaigns. Measurements from 04/10/2018 to 04/11/2018 were made at ground level (~4 m). Measurements from 05/11/2018 to 23/11/2018 were made at 30 m above ground level. All values are reported in ppbV (parts per billion by volume).\r\n\r\nThe data were collected as part of the DelhiFlux project part of Air Pollution & Human Health in a Developing Indian Megacity (APHH-India) programme.", "keywords": "APHH, Delhi, VOC", "publicationState": "published", "dataPublishedTime": "2020-05-11T14:37:58", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/30217/?format=api", "dataPath": "/badc/aphh/data/delhi/delhiflux/ceh-ptr-qitof-ms/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 13413310, "numberOfFiles": 3, "fileFormat": "Data are NASA Ames formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8221/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2310/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52526/?format=api" ], "dataLineage": "Data were produced by the project team and supplied for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/24808/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/projects/30221/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30224/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/32625/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130600/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130601/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130602/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130603/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130605/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130607/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130608/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/130604/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/30222/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }